%define upstream_name    Net-Amazon-S3
%define upstream_version 0.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An internal class to get a bucket's location constraint
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Stream::Bulk::Callback)
BuildRequires: perl(DateTime::Format::HTTP)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::MD5::File)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent::Determined)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types)
BuildRequires: perl(Moose) >= 0.850.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::StrictConstructor) >= 0.160.0
BuildRequires: perl(MooseX::Types::DateTime::MoreCoercions) >= 0.70.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Term::ProgressBar::Simple)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::QueryParam)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::XPathContext)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a Perlish interface to Amazon S3. From the developer
blurb: "Amazon S3 is storage for the Internet. It is designed to make
web-scale computing easier for developers. Amazon S3 provides a simple web
services interface that can be used to store and retrieve any amount of
data, at any time, from anywhere on the web. It gives any developer access
to the same highly scalable, reliable, fast, inexpensive data storage
infrastructure that Amazon uses to run its own global network of web sites.
The service aims to maximize benefits of scale and to pass those benefits
on to developers".

To find out more about S3, please visit: http://s3.amazonaws.com/

To use this module you will need to sign up to Amazon Web Services and
provide an "Access Key ID" and " Secret Access Key". If you use this
module, you will incurr costs as specified by Amazon. Please check the
costs. If you use this module with your Access Key ID and Secret Access Key
you must be responsible for these costs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/s3cl
/usr/share/man/man1/s3cl.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 370499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.580.0-1.mga3
+ Revision: 330258
- update to 0.58

* Wed Nov 28 2012 shlomif <shlomif> 0.570.0-1.mga3
+ Revision: 322621
- imported package perl-Net-Amazon-S3

